import { Component, Event, h, Prop } from '@stencil/core';
export class SAbdullakhProductPresentation {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: "col-lg-6 col-12" },
                    h(PresentationTitle, { arr: this.ProductPresentation.title, img: this.ProductPresentation })),
                h("div", { class: "col-lg-6 d-lg-flex d-none" },
                    h("s-abdullakh-product-presentation-img", { img: this.ProductPresentation })))));
    }
    static get is() { return "s-abdullakh-product-presentation"; }
    static get originalStyleUrls() { return {
        "$": ["s-abdullakh-product-presentation.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-abdullakh-product-presentation.css"]
    }; }
    static get properties() { return {
        "ProductPresentation": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSAbdullakhProductPresentation",
                "resolved": "SSAbdullakhProductPresentation",
                "references": {
                    "SSAbdullakhProductPresentation": {
                        "location": "import",
                        "path": "./interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u0434\u043B\u044F \u0432\u044B\u0432\u043E\u0434\u0430 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 ProductPresentationTitle"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnProductPresentation",
            "name": "clickOnProductPresentation",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C \u043A\u043E\u043C\u043F\u043E\u043D\u0435\u043D\u0442\u0430 ProductPresentation"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/*
* компонентная функция для вывода элементов ProductPresentationTitle
 */
const PresentationTitle = (props) => {
    return props.arr.map((item) => {
        return (h("s-abdullakh-product-presentation-title", { arr: item, img: props.img }));
    });
};
